org.apache.olingo.odata2.jpa.processor.api.model

## Interface JPAEdmEntitySetView

- All Superinterfaces:
    JPAEdmBaseView

      public interface JPAEdmEntitySetView
      extends JPAEdmBaseView

  A view on Java Persistence entity type and EDM entity sets. Java persistence entity types are converted into EDM entity types and EDM entity sets.

  The implementation of the view provides access to EDM entity sets for the given JPA EDM entity type. The view acts as a container for consistent list of EDM entity sets. An EDM entity set is said to be consistent only if it has consistent EDM entity types.

  See Also:
    `JPAEdmEntityTypeView`
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EntitySet>` | `getConsistentEdmEntitySetList()` The method returns a list of consistent EDM entity sets.
    `EntitySet` | `getEdmEntitySet()` The method returns an EDM entity set that is currently being processed.
    `JPAEdmEntityTypeView` | `getJPAEdmEntityTypeView()` The method returns a JPA EDM entity type view that is currently being processed.

    - ### Methods inherited from interface org.apache.olingo.odata2.jpa.processor.api.model.JPAEdmBaseView

      `clean, getBuilder, getJPAEdmExtension, getJPAEdmMappingModelAccess, getJPAMetaModel, getpUnitName, isConsistent, isDefaultNamingSkipped`

- - ### Method Detail

    - #### getEdmEntitySet

          EntitySet getEdmEntitySet()

      The method returns an EDM entity set that is currently being processed.
      Returns:
        an instance of type `EntitySet`

    - #### getConsistentEdmEntitySetList

          List<EntitySet> getConsistentEdmEntitySetList()

      The method returns a list of consistent EDM entity sets.
      Returns:
        a list of EDM entity sets

    - #### getJPAEdmEntityTypeView

          JPAEdmEntityTypeView getJPAEdmEntityTypeView()

      The method returns a JPA EDM entity type view that is currently being processed. JPA EDM entity set view is built from JPA EDM entity type view.
      Returns:
        an instance of type `JPAEdmEntityTypeView`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.